Bug 845830 - beta2 - Its impossible to create Non_VM non_VLAN and any VLAN Network over NIC/bond in one step
beta2 - Its impossible to create Non_VM non_VLAN and any VLAN Network over NI...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity high
: beta
: ---
Assigned To: Igor Lvovsky
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 09:16 EDT by GenadiC
Modified: 2012-12-04 14:04 EST (History)
7 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-29.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:04:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (3.41 MB, application/octet-stream)
2012-08-05 09:16 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-08-05 09:16:15 EDT
Created attachment 602357 [details]
vdsm log

Description of problem:
Create NON_VM untagged Network with VM or NON_VM tagged(VLANed) Network over NIC or BOND in one step will fail with: "Setup attached more than one network to bonding bond2, some of which aren't vlans" (for bond in this example) 

How reproducible:
Always

Steps to Reproduce:
1. Assign NON_VM and NON_VM_VLAN Network to NIC or BOND with setupNetwork 
2. Press ok button
3.
  
Actual results:
The action will fail with "Setup attached more than one network to bonding bond2, some of which aren't vlans" (for bond in this example) 

Expected results:
The action should succeed

Additional info:
Doing it in 2 steps succeeds always
Comment 2 Dan Kenigsberg 2012-08-07 04:47:53 EDT
http://gerrit.ovirt.org/6693
Comment 4 GenadiC 2012-08-22 07:23:07 EDT
Verified in SI15
Comment 7 errata-xmlrpc 2012-12-04 14:04:35 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.